#!/bin/csh
#
#   GNUstep.csh.in
#
#   Shell initialization for the GNUstep environment.
#
#   Copyright (C) 1998 Free Software Foundation, Inc.
#
#   Author:  Scott Christley <scottc@net-community.com>
#
#   This file is part of the GNUstep Makefile Package.
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#   
#   You should have received a copy of the GNU General Public
#   License along with this library; see the file COPYING.LIB.
#   If not, write to the Free Software Foundation,
#   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

#
# Set the GNUstep system root and local root
#
setenv GNUSTEP_SYSTEM_ROOT /usr/lib/GNUstep
setenv LIBRARY_COMBO gnu-gnu-gnu-xraw

setenv GNUSTEP_LOCAL_ROOT /usr/lib/GNUstep/Local
setenv GNUSTEP_USER_ROOT ~/GNUstep

if ( ! ${?GNUSTEP_BUILD_ROOT} ) then
      set GNUSTEP_MAKEFILES=${GNUSTEP_SYSTEM_ROOT}/Makefiles
else
      set GNUSTEP_MAKEFILES=${GNUSTEP_BUILD_ROOT}/Makefiles
endif

#
# Determine the host information
#
setenv GNUSTEP_HOST `${GNUSTEP_SYSTEM_ROOT}/Makefiles/config.guess`
setenv GNUSTEP_HOST_CPU `${GNUSTEP_SYSTEM_ROOT}/Makefiles/cpu.sh $GNUSTEP_HOST`
setenv GNUSTEP_HOST_VENDOR `${GNUSTEP_SYSTEM_ROOT}/Makefiles/vendor.sh $GNUSTEP_HOST`
setenv GNUSTEP_HOST_OS `${GNUSTEP_SYSTEM_ROOT}/Makefiles/os.sh $GNUSTEP_HOST`

# Clean the host
setenv GNUSTEP_HOST_CPU `${GNUSTEP_SYSTEM_ROOT}/Makefiles/clean_cpu.sh $GNUSTEP_HOST_CPU`
setenv GNUSTEP_HOST_VENDOR `${GNUSTEP_SYSTEM_ROOT}/Makefiles/clean_vendor.sh $GNUSTEP_HOST_VENDOR`
setenv GNUSTEP_HOST_OS `${GNUSTEP_SYSTEM_ROOT}/Makefiles/clean_os.sh $GNUSTEP_HOST_OS`

#
# the rest of this file is only executed, if the core already is installed.
#

if ( ! ${?GNUSTEP_BUILD_ROOT} ) then

#
# Add the GNUstep tools directories to the path
#
setenv PATH ${GNUSTEP_SYSTEM_ROOT}/Tools:$PATH
setenv PATH ${GNUSTEP_SYSTEM_ROOT}/Tools/$GNUSTEP_HOST_CPU/$GNUSTEP_HOST_OS/${LIBRARY_COMBO}:$PATH
setenv PATH ${GNUSTEP_SYSTEM_ROOT}/Tools/$GNUSTEP_HOST_CPU/${GNUSTEP_HOST_OS}:$PATH
setenv PATH $GNUSTEP_LOCAL_ROOT/Tools/$GNUSTEP_HOST_CPU/$GNUSTEP_HOST_OS/${LIBRARY_COMBO}:$PATH
setenv PATH $GNUSTEP_LOCAL_ROOT/Tools/$GNUSTEP_HOST_CPU/${GNUSTEP_HOST_OS}:$PATH
setenv PATH $GNUSTEP_USER_ROOT/Tools/$GNUSTEP_HOST_CPU/$GNUSTEP_HOST_OS/${LIBRARY_COMBO}:$PATH
setenv PATH $GNUSTEP_USER_ROOT/Tools/$GNUSTEP_HOST_CPU/${GNUSTEP_HOST_OS}:$PATH

source ${GNUSTEP_SYSTEM_ROOT}/Makefiles/ld_lib_path.csh

#
# Perform any user initialization
#
if ( -e ~/.GNUstep/GNUstep.csh ) then
	. ~/.GNUstep/GNUstep.csh
endif

endif # ( "${GNUSTEP_BUILD_ROOT}" == "" )
